using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM
{
	public class PFSysLogMap : APTEntityBaseMap<T_PF_SYS_LOG>
	{
		public override void Configure(EntityTypeBuilder<T_PF_SYS_LOG> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.LOG_TITLE).HasMaxLength(600);
			builder.Property(t => t.LOG_DATA).HasMaxLength(2000);

			builder.HasOne(t => t.Nav_LogForm).WithMany().HasForeignKey(t => t.LOG_FORM_ID).OnDelete(DeleteBehavior.Restrict);
			builder.HasOne(t => t.Nav_User).WithMany().HasForeignKey(t => t.USER_ID).OnDelete(DeleteBehavior.Restrict);
			builder.Property(t => t.HOST_NAME).HasMaxLength(200);
			builder.Property(t => t.BROWSER_NAME).HasMaxLength(300);
           
		} 
	}
}
